gr-baz Package

baz_udp_sink.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <gnuradio/msg_queue.h>`
Include dependency graph for baz_udp_sink.h:

Go to the source code of this file.

## Classes
class | UDP_SINK_NAME
| Write stream to an UDP socket. More...

## Macros
#define | INCLUDED_GR_UDP_SINK_H
#define | UDP_SINK_NAME gr_udp_sink
#define | UDP_SINK_MAKER gr_make_udp_sink
#define | UDP_SINK_SPTR gr_udp_sink_sptr
#define | _TO_STR(x)
#define | UDP_SINK_STRING _TO_STR(UDP_SINK_NAME)

## Typedefs
typedef boost::shared_ptr< UDP_SINK_NAME > | UDP_SINK_SPTR

## Functions
BAZ_API UDP_SINK_SPTR | UDP_SINK_MAKER (size_t itemsize, const char *host, unsigned short port, int payload_size=1472, bool eof=true, bool bor=false)

## Variables
class BAZ_API | UDP_SINK_NAME

## Macro Definition Documentation

## ◆ _TO_STR

#define _TO_STR | ( |  | x | ) |

Value:
#x

## ◆ INCLUDED_GR_UDP_SINK_H

#define INCLUDED_GR_UDP_SINK_H

## ◆ UDP_SINK_MAKER

#define UDP_SINK_MAKER gr_make_udp_sink

## ◆ UDP_SINK_NAME

#define UDP_SINK_NAME gr_udp_sink

## ◆ UDP_SINK_SPTR

#define UDP_SINK_SPTR gr_udp_sink_sptr

Referenced by UDP_SINK_NAME::UDP_SINK_MAKER.

## ◆ UDP_SINK_STRING

#define UDP_SINK_STRING _TO_STR(UDP_SINK_NAME)

## Typedef Documentation

## ◆ UDP_SINK_SPTR

typedef boost::shared_ptr<UDP_SINK_NAME> UDP_SINK_SPTR

## Function Documentation

## ◆ UDP_SINK_MAKER()

BAZ_API UDP_SINK_SPTR UDP_SINK_MAKER | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | payload_size = 1472,
|  | bool | eof = true,
|  | bool | bor = false )

## Variable Documentation

## ◆ UDP_SINK_NAME

class BAZ_API UDP_SINK_NAME